function AnalyzeResult(IndexCount, RootDir, SeqCount)

spectrum_dir = ['SimulationSpectrum\', RootDir, '\'];
pica_result = zeros(IndexCount,1);
pep_result = zeros(IndexCount,1);

for exp_index=1:IndexCount
    exp_dir = [spectrum_dir, 'exp', num2str(exp_index), '\'];
    pica_groundtruth = load([exp_dir, 'pica_groundtruth.txt']);
    pica_est = load([exp_dir, 'est_pica.txt']);
    tmp_result = corrcoef(pica_groundtruth, pica_est);
    pica_result(exp_index) = tmp_result(1, 2);
    pep_groundtruth = load([exp_dir, 'PepQuant_groundtruth.txt']);
    pep_est = load([exp_dir, 'est_pepquant.txt']);
    tmp_result = corrcoef(pep_groundtruth, pep_est);
    pep_result(exp_index) = tmp_result(1,2);
end


file_writer = fopen(['correlation_pepquant_', num2str(SeqCount), '.txt'], 'w');
fprintf(file_writer, '%f\n', pep_result);
fclose(file_writer);

file_writer = fopen(['correlation_pica_', num2str(SeqCount), '.txt'], 'w');
fprintf(file_writer, '%f\n', pica_result);
fclose(file_writer);