function [UnionMass, UnionProbability] = CombineMass(MassListOne, ProbabilityListOne, MassListTwo, ProbabilityListTwo)
% This function is for combine two groups of atoms together to
% Make the result molecule.

%% Length of two mass lists.
length_list_one = length(MassListOne);
length_list_two = length(MassListTwo);

if length_list_one == 0 || length_list_two == 0
    UnionMass = 0;
    UnionProbability = 0;
    return;
end

UnionMass = zeros(1,length_list_one + length_list_two - 1);
UnionProbability = zeros(1,length_list_one + length_list_two - 1);
%% Combine two mass list
for loop_index = 0: (length_list_one + length_list_two - 2)
    % temporary variable
    accu_prob = 0;
    accu_mass = 0;
    for inner_loop_index=max(0, loop_index - length_list_two + 1):min(loop_index, length_list_one-1)
        new_prob = ProbabilityListOne(inner_loop_index+1)*ProbabilityListTwo(loop_index-inner_loop_index+1);
        accu_prob = accu_prob + new_prob;
        accu_mass = accu_mass + new_prob * (MassListOne(inner_loop_index+1) + MassListTwo(loop_index-inner_loop_index+1));
    end
    UnionMass(loop_index + 1) = accu_mass / accu_prob;
    UnionProbability(loop_index + 1) = accu_prob;
end