function CountOverlap(IndexCount, RootDir, ElutionTimeRange, SeqCount)

root_dir = ['SimulationSpectrum\', RootDir, '\'];
overlap_ratio = zeros(IndexCount, 1);
elution_last_scan = ElutionTimeRange;
for exp_index=1:IndexCount
    exp_dir = [root_dir, 'exp', num2str(exp_index), '\'];
    lc_center = load([exp_dir, 'lc_center.txt']);
    mass_value = load([exp_dir, 'peak_mass.txt']);
    mz_vector = load([exp_dir, 'mz_value.txt']);
    scan_number = length(dir([exp_dir, 'data\*.txt']));
    data_map = zeros(scan_number, length(mz_vector));
    peptide_count = size(mass_value, 1);
    overlap_count = 0;
    disp('Processing');
    for peptide_index=1:peptide_count
        pep_center_index = lc_center(peptide_index);
        abs_distance = abs(mz_vector - mass_value(peptide_index, 1));
        begin_index = find(abs_distance == min(abs_distance),1, 'first');
        abs_distance = abs(mz_vector - mass_value(peptide_index, 3));
        end_index = find(abs_distance == min(abs_distance), 1, 'first');
        data_map((pep_center_index-elution_last_scan):(pep_center_index+elution_last_scan), begin_index:end_index) = data_map((pep_center_index-elution_last_scan):(pep_center_index+elution_last_scan), begin_index:end_index) + 1;
        over_count = find(data_map>=2);
        if isempty(over_count)  == 0
            overlap_count = overlap_count + 1;
            data_map(data_map>=2) = 1;
        end
    end
    overlap_ratio(exp_index) = overlap_count / peptide_count;
end

file_writer = fopen(['overlap_ratio_', num2str(ElutionTimeRange), '_', num2str(SeqCount), '.txt'], 'w');
fprintf(file_writer,'%f\n', overlap_ratio);
fclose(file_writer);
disp(overlap_ratio);