function [AtomList, AtomCount]=GetAtomInfor(PeptideComposition)
% This function can only process simple composition case
% such as C2H3O4
atom_index = find(PeptideComposition >= 'A' & PeptideComposition <= 'Z');
AtomList='';
AtomCount = zeros(1,length(atom_index));

for loop_index=1:length(atom_index)
    sel_atom_index = atom_index(loop_index);
    if loop_index < length(atom_index)
        sub_str = PeptideComposition(sel_atom_index:atom_index(loop_index+1)-1);
    else
        sub_str = PeptideComposition(sel_atom_index:end);
    end
    [atom_name, atom_count]=ParseAtom(sub_str);
    AtomList = strvcat(AtomList,atom_name);
    AtomCount(loop_index) = atom_count;
end

return;

function [AtomName, AtomNumber]=ParseAtom(AtomString)
find_number = 0;
for loop_index=1:length(AtomString)
    if isletter(AtomString(loop_index)) == 0
        find_number = loop_index;
        break;
    end
end
if find_number == 0
    AtomName = AtomString;
    AtomNumber = 1;
else
    AtomName = AtomString(1:find_number-1);
    sub_str = AtomString(find_number:end);
    AtomNumber=str2num(sub_str);
end
return;